cayenne-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Aristedes Maniatis <...@maniatis.org>
Subject Re: Switching integration tests to Bootique
Date Thu, 29 Sep 2016 00:28:44 GMT
On 28/9/16 11:23pm, Andrus Adamchik wrote:
> Now the catch is of course that Bootique requires Java 8. So perhaps that should wait
until we freeze 4.0 beta and split a 4.1 branch.

Is it feasible to still produce Java 7 compatible binaries even if integration tests only
run in Java 8? Obviously test coverage on Java 7 will be less, but is this really a problem?

Also, I have some old gradle implementation for Cayenne lying around somewhere that I never
finished. Would there be enthusiasm for moving away from maven if I found the time to complete
that?

Ari



-- 
-------------------------->
Aristedes Maniatis
GPG fingerprint CBFB 84B4 738D 4E87 5E5C  5EFA EF6A 7D2E 3E49 102A

Mime
View raw message